This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 877152 - Review Request: springframework-ws - Spring Web Services
Review Request: springframework-ws - Spring Web Services
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On: 877114
Blocks: 968136 881753
  Show dependency treegraph
 
Reported: 2012-11-15 15:20 EST by gil cattaneo
Modified: 2013-11-10 01:04 EST (History)
3 users (show)

See Also:
Fixed In Version: springframework-ws-2.1.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-28 23:32:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
orion: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-11-15 15:20:33 EST
Spec URL: http://gil.fedorapeople.org/springframework-ws.spec
SRPM URL: http://gil.fedorapeople.org/springframework-ws-2.0.5-1.fc16.src.rpm
Description: 
Spring Web Services is a product of the Spring community
focused on creating document-driven Web services. It
aims to facilitate contract-first SOAP service development,
allowing for the creation of flexible web services
using one of the many ways to manipulate XML payloads.

Fedora Account System Username: gil
Comment 1 gil cattaneo 2013-05-10 23:48:49 EDT
Spec URL: http://gil.fedorapeople.org/springframework-ws.spec
SRPM URL: http://gil.fedorapeople.org/springframework-ws-2.1.1-1.fc16.src.rpm

- update to 2.1.1.RELEASE
Comment 2 gil cattaneo 2013-05-11 00:32:37 EDT
Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=5366013
Comment 4 Orion Poplawski 2013-10-18 16:11:26 EDT
Some initial comments:

- 2.1.4 is out
- I see both springframework-* and spring-* packages.  I think this should be called spring-ws.
- Perhaps http://projects.spring.io/spring-ws/ is a better URL
Comment 5 gil cattaneo 2013-10-18 16:22:55 EDT
(In reply to Orion Poplawski from comment #4)
> Some initial comments:
> 
> - 2.1.4 is out
latest release depend on springframework >= 3.2.2.RELEASE we have 3.1.1
> - I see both springframework-* and spring-* packages.  I think this should
> be called spring-ws.
see https://bugzilla.redhat.com/show_bug.cgi?id=881753#c5
> - Perhaps http://projects.spring.io/spring-ws/ is a better URL
fixed

Spec URL: http://gil.fedorapeople.org/springframework-ws.spec
SRPM URL: http://gil.fedorapeople.org/springframework-ws-2.1.1-1.fc19.src.rpm
Comment 6 gil cattaneo 2013-10-18 16:25:28 EDT
latest release depend on springframework >= 3.2.4.RELEASE
Comment 7 gil cattaneo 2013-10-18 21:14:15 EDT
(In reply to gil cattaneo from comment #6)
> latest release depend on springframework >= 3.2.4.RELEASE

and springframework > 3.1.4.RELEASE depend on cglib >= 3.0 (unavailable see https://bugzilla.redhat.com/show_bug.cgi?id=815394)
Comment 8 Orion Poplawski 2013-10-19 00:10:06 EDT
I would like to see more comments on the various pom modifications, but this is not a blocker.  As a second party coming in it is hard to know why all of the various things were done.  Many are commented well, but some are not.

I take it that 2.1.2 and 2.1.3 also are missing dependencies?  In any case I trust you to handle this as needed.  Thanks for packaging this.

APPROVED

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 7 files have unknown license.
     Detailed output of licensecheck in /export/home/orion/redhat
     /springframework-ws-2.1.1/review-springframework-ws/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: If tests are skipped during package build explain why it was needed in a
     comment
     Note: Tests seem to be skipped. Verify there is a commment giving a
     reason for this
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     springframework-ws-javadoc
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: springframework-ws-2.1.1-1.fc21.noarch.rpm
          springframework-ws-javadoc-2.1.1-1.fc21.noarch.rpm
          springframework-ws-2.1.1-1.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint springframework-ws\*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Requires
--------
springframework-ws (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(commons-httpclient:commons-httpclient)
    mvn(commons-logging:commons-logging)
    mvn(dom4j:dom4j)
    mvn(javax.xml.stream:stax-api)
    mvn(jaxen:jaxen)
    mvn(jivesoftware:smack)
    mvn(org.apache.httpcomponents:httpclient)
    mvn(org.apache.ws.commons.axiom:axiom-api)
    mvn(org.apache.ws.commons.axiom:axiom-impl)
    mvn(org.apache.ws.xmlschema:xmlschema-core)
    mvn(org.jdom:jdom2)
    mvn(org.springframework:spring-aop)
    mvn(org.springframework:spring-beans)
    mvn(org.springframework:spring-context)
    mvn(org.springframework:spring-core)
    mvn(org.springframework:spring-jms)
    mvn(org.springframework:spring-oxm)
    mvn(org.springframework:spring-tx)
    mvn(org.springframework:spring-web)
    mvn(org.springframework:spring-webmvc)
    mvn(wsdl4j:wsdl4j)
    mvn(xom:xom)

springframework-ws-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
springframework-ws:
    mvn(org.springframework.ws:spring-ws)
    mvn(org.springframework.ws:spring-ws-core)
    mvn(org.springframework.ws:spring-ws-parent)
    mvn(org.springframework.ws:spring-ws-parent:pom:)
    mvn(org.springframework.ws:spring-ws-support)
    mvn(org.springframework.ws:spring-ws:pom:)
    mvn(org.springframework.ws:spring-xml)
    osgi(org.springframework.ws)
    osgi(org.springframework.ws.support)
    osgi(org.springframework.ws.xml)
    springframework-ws

springframework-ws-javadoc:
    springframework-ws-javadoc



Source checksums
----------------
https://github.com/spring-projects/spring-ws/archive/spring-ws-2.1.1.RELEASE.tar.gz :
  CHECKSUM(SHA256) this package     : 82d1e865d6b9bafc93e1f2742b67cafb40baa9343d12d1258cd5070571d4f1be
  CHECKSUM(SHA256) upstream package : 82d1e865d6b9bafc93e1f2742b67cafb40baa9343d12d1258cd5070571d4f1be


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -p -n springframework-ws --no-build
Buildroot used: fedora-19-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 9 gil cattaneo 2013-10-19 06:22:49 EDT
(In reply to Orion Poplawski from comment #8)
> I would like to see more comments on the various pom modifications, but this
> is not a blocker.  As a second party coming in it is hard to know why all of
> the various things were done.  Many are commented well, but some are not.
> 
> I take it that 2.1.2 and 2.1.3 also are missing dependencies?  In any case I
> trust you to handle this as needed.  Thanks for packaging this.
> 
spring-ws-2.1.2.RELEASE <spring.framework.version>3.1.3.RELEASE</spring.framework.version>
for this one have packaged springframework 3.1.4.RELEASE
http://gil.fedorapeople.org/springframework/springframework.spec
http://gil.fedorapeople.org/springframework/springframework-3.1.4-1.fc19.src.rpm
but there are some problem to solved before import:
not support jopt-simple 4.x (rawhide)
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.1:compile (default-compile) on project spring-core: Compilation failure
[ERROR] org.springframework.core/src/main/java/org/springframework/core/env/JOptCommandLinePropertySource.java:[103,54] incompatible types
[ERROR] required: java.util.List<java.lang.String>
[ERROR] found:    java.util.List<capture#1 of ?>
[ERROR] -> [Help 1]
not support derby > 10.5
unavailable method purgeDatabase in org.apache.derby.impl.io.VFMemoryStorageFactory

2.1.3.RELEASE <spring.framework.version>3.2.2.RELEASE</spring.framework.version>
Comment 10 gil cattaneo 2013-10-19 06:26:26 EDT
Thanks!

New Package SCM Request
=======================
Package Name: springframework-ws
Short Description: Spring Web Services
Owners: gil
Branches: f19 f20
InitialCC: java-sig
Comment 11 Jon Ciesla 2013-10-19 17:08:45 EDT
Git done (by process-git-requests).
Comment 12 gil cattaneo 2013-10-19 17:10:49 EDT
Thanks!
Comment 13 Fedora Update System 2013-10-19 17:53:25 EDT
springframework-ws-2.1.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/springframework-ws-2.1.1-1.fc20
Comment 14 Fedora Update System 2013-10-19 18:03:55 EDT
springframework-ws-2.1.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/springframework-ws-2.1.1-1.fc19
Comment 15 Fedora Update System 2013-10-20 13:46:10 EDT
springframework-ws-2.1.1-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 16 Fedora Update System 2013-10-28 23:32:03 EDT
springframework-ws-2.1.1-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 17 Fedora Update System 2013-11-10 01:04:36 EST
springframework-ws-2.1.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.